CREATE TABLE config (id INTEGER PRIMARY KEY AUTOINCREMENT, title TEXT, value TEXT, type TEXT);

INSERT INTO config (id,title,value,type) VALUES (1,'scroll_title','1','');
INSERT INTO config (id,title,value,type) VALUES (2,'volume','500','');
INSERT INTO config (id,title,value,type) VALUES (3,'search_method','hotness',null);
INSERT INTO config (id,title,value,type) VALUES (4,'welcome_screen','1','');
INSERT INTO config (id,title,value,type) VALUES (5,'last_sync','0','');
INSERT INTO config (id,title,value,type) VALUES (6,'machine_id','0','');
INSERT INTO config (id,title,value,type) VALUES (7,'spotlight_tags','','');
INSERT INTO config (id,title,value,type) VALUES (8,'update_process','default','');
INSERT INTO config (id,title,value,type) VALUES (9,'app_position','false','');
INSERT INTO config (id,title,value,type) VALUES (10,'app_size','false','');

CREATE TABLE database_version ( version INTEGER );
INSERT INTO database_version (version) VALUES (1);

CREATE TABLE playlist_items (i_id TEXT PRIMARY KEY,  i_track_id INTEGER,  i_playlist_id TEXT,  i_origin TEXT,  i_order INTEGER, i_track_title TEXT,  i_track_artist TEXT,  i_track_duration INTEGER, i_track_artist_id INTEGER,  i_added INTEGER, i_modified_at INTEGER, i_deleted INTEGER, i_fresh INTEGER)
CREATE TABLE playlists ( p_name TEXT PRIMARY KEY,  p_modified_at INTEGER,  p_deleted INTEGER DEFAULT 0,  p_fresh INTEGER DEFAULT 1,  p_id TEXT)

CREATE TABLE quicktabs (q_id INTEGER PRIMARY KEY AUTOINCREMENT,   q_tab_name TEXT,   q_order INTEGER,   q_genre TEXT,   q_order_by TEXT,  q_range TEXT,  q_mix_only INTEGER);

CREATE TABLE testing (id INTEGER PRIMARY KEY AUTOINCREMENT, content TEXT, other_stuff TEXT);

CREATE TABLE artist_gallery (artist_id INTEGER PRIMARY KEY,  artist_tags TEXT, artist_added INTEGER, artist_modified INTEGER, artist_tracks INTEGER, artist_tracks_counted_at INTEGER)
