
	{{#tracks_count}}
		<table id="tracklist_header">
		    <thead>
		        <tr>
		            <th>Artist</th>
		            <th>Track name</th>
		            <th>Duration</th>
		            <th></th><!-- Playback controls -->
		        </tr>
		    </thead>
		</table>
	{{/tracks_count}}

	<div class="track_wrapper browser">
		<div id="track_wrapper_inner">
		    <table class="tracklist">
		        <tbody>
					{{#tracks}}
						<tr{{#active}} class="active"{{/active}}{{#user_tracks}} class="single_row"{{/user_tracks}}>
							{{#user_tracks}}
								{{^key}}
									<td class="artist pre single" rowspan="{{tracks.length}}" valign="top" width="115">
										<div id="user_tracklist_wrapper">
											<img src="{{user.avatar_url}}" id="show_user_info" userid="{{user_id}}"><br>
											{{#user}}{{username}}{{/user}}<br><br>
											<small>
												<strong>{{#user_resource.country}}{{user_resource.country}}</strong>,<br>{{/user_resource.country}} {{user_resource.city}}
											<small>
											</small>
												{{#user_resource.followers_count}}<strong>Followers: </strong>{{user_resource.followers_count}}{{/user_resource.followers_count}}
											</small>
											<div class="artist_to_gallery_wrapper"><div class="add_to_gallery" style="display:block" count="{{user_resource.track_count}}" userid="{{tracks.0.user.id}}" username="{{tracks.0.user.username}}">Add to gallery</div></div>
										</div>
									</td>
								{{/key}}
							{{/user_tracks}}
							{{^user_tracks}}
								<td class="artist pre"><a href="#" class="artist_name" userid="{{user_id}}" username="{{#user}}{{username}}{{/user}}">{{#user}}{{username}}{{/user}}</a></td>
							{{/user_tracks}}
							<td>
								<div class="track_sub_actions"><span class="info" context="browser" key="{{key}}"></span></div>
								<span class="track_title_wrapper" id="{{key}}" key="{{key}}" context="browser">{{title}}</span>
							</td>
							<!--<td width="80"></td>-->
							<td width="50" class="tack_duration">{{duration}}</td>
							<td width="100">
								<div class="track_actions">
									<div class="iw">
										<div class="track_favourite" id="{{id}}"></div>
										<div class="track_add" id="{{key}}" key="{{key}}"></div>
										<div class="track_play" id="{{key}}" key="{{key}}" context="browser"></div>
										<!--<div class="indicator"></div>-->
									</div>
									<div class="track_meta">
										{{#genre}}<!--<span class="label">Genre:</span>--> {{fix_genre}} <br>{{/genre}} 
										<span class="label">Plays:</span> {{playback_count}}
									</div>
								</div>
							</td>
						</tr>
					{{/tracks}}
		        </tbody>
		    </table>
			{{^tracks}}
				<p class="no_results">No tracks found</p>
			{{/tracks}}
		</div>
	</div>
