
	<form id="quick_tab_form">
		<fieldset id="quick_tab_details">
			<legend id="quick_tab_form_title">{{#edit_mode}}Edit details{{/edit_mode}}{{^edit_mode}}Create new tab{{/edit_mode}}</legend>

			<div class="form_line">
				<label>Tab name</label>
				<input type="text" class="normal" id="quick_tab_name" value="{{tabData.q_tab_name}}" />
			</div>

			<div class="form_line">
				<label>Keyword(s)</label>
				<input type="text" class="normal" id="quick_tab_keywords" value="{{tabData.q_genre}}" />
				<small>You can enter a comma separated list</small>
			</div>

			<div class="form_line">
				<label>Order by</label>
				<input type="radio" id="quick_tab_radio_hotness" value="hotness" name="hotnessornot" {{#hotness}}checked="checked"{{/hotness}}/> Hotness<br />
				<label><!-- placeholder --></label>
				<input type="radio" id="quick_tab_radio_added_date" selected="selected" value="" name="hotnessornot" {{^hotness}}checked="checked"{{/hotness}} /> Date added
			</div>

			<div class="form_line">
				<label>Created in</label>
			    <div class="dropdown" id="quick_tab_created_in">
			        <ul>
						<li rel="24">1 day</li>
						<li rel="72">3 days</li>
						<li rel="120">5 days</li>
						<li rel="168">7 days</li>
						<li rel="672">1 Month</li>
						<li rel="2016">3 Months</li>
						<li rel="4032">6 Months</li>
						<li rel="8736">A year</li>
			        </ul>
			    </div>
				<small>from the current date</small>
			</div>

			<div class="form_line">
				<label>Mixes only</label>
				<input type="checkbox" id="quick_tab_mix_only" value="1" {{#tabData.q_mix_only}}checked="checked"{{/tabData.q_mix_only}} />
			</div>

		</fieldset>
	</form>

	{{^edit_mode}}
		<fieldset id="quick_tab_help">
			<legend>Help</legend>
			<div class="form_line">
				<strong>Keyword</strong>
				<p>This will be the term CloudDeck tries to look for on SoundCloud. We suggest you to search for generic music genres.</p>

				<strong>Order by</strong>
				<p>"Hotness" is SoundCloud's algorithm to offer you filtered search results. "Date added" shows tracks in chronological order.</p>

				<strong>Created in</strong>
				<p>Limit in time how fresh tracks you are willing to listen. The bigger the interval the less it updates with new tracks.</p>

				<strong>Mixes only</strong>
				<p>Check this option to find track longer than 25 minutes.</p>
			</div>
		</fieldset>
	{{/edit_mode}}
