<h2>End User License Agreement For CloudDeck Desktop Software</h2>
<br>
<p>BY ACCEPTING DELIVERY OF CLOUDDECK (HEREINAFTER "THE SOFTWARE") AND/OR SERVICES, YOU (HEREINAFTER "CUSTOMER" OR "YOU") ARE EXPRESSLY AGREEING TO BE BOUND BY THE TERMS AND CONDITIONS OF THIS AGREEMENT TO THE EXCLUSION OF ALL OTHER TERMS. IF THESE TERMS ARE CONSIDERED AN OFFER BY TIBOR SZÁSZ, (HEREINAFTER "The developer"), ACCEPTANCE IS EXPRESSLY LIMITED TO THESE TERMS.  THE DEVELOPER IS WILLING TO MAKE THE SOFTWARE AVAILABLE TO YOU ONLY UPON THE CONDITION THAT YOU ACCEPT THE TERMS OF THIS AGREEMENT. WRITTEN APPROVAL IS NOT A PREREQUISITE TO THE VALIDITY OR ENFORCEABILITY OF THIS AGREEMENT.</p> 

<p>TERMS AND CONDITIONS.  This End User License Agreement (this "Agreement") is between Customer and the developer.  This Agreement governs Customer's use of the Software provided to Customer by the developer, including any releases of or to the Software that Customer may receive from the developer, together with the documentation included therewith.</p>

<h2>1. DEFINITIONS.</h2>  
<p>For purposes of this Agreement, the following terms will have the following meanings:  </p>

<p>1.1 "Customer" or "you" means the legal entity or person who orders or downloads the Software and/or activates the Services. </p>

<p>1.2 "Documentation" means the standard end‑user technical documentation, specifications, materials and other information the developer supplies with the Software and/or Services.  </p>

<p>1.3 "Services" means the various services to which the developer provides users with access, including without limitation, searching audio, searching audio database, creating playlists.</p>

<p>1.4 "Software" means the proprietary the developer software products (in object code format only) delivered to you hereunder, together with any update or upgrade thereto, when and if made available to you by the developer.  Software includes Third Party Software.</p>

<p>1.5 "Third Party Software" means the software of certain third parties which the developer may deliver with the Software, including but not limited to widgets of certain third parties and independent developers.</p> 

<p>1.6 "Use" means to cause a computer system to execute any machine‑executable portion of the Software in accordance with the Documentation or to make use of any Documentation or related materials in connection with the execution of any machine‑executable portion of the Software.</p>

<p>1.7 "Streaming provider" refers to an organization which provides services, resources, data available through an application programming interface (API). Streaming provider includes SoundCloud Ltd.</p>

<p>1.8 "Cookies" A cookie, also known as an HTTP cookie, web cookie, or browser cookie, is usually a small piece of data sent from a website and stored in a user's web browser while a user is browsing a website. The cookies have a certain lifetime, after they reach their lifetime, they expire and no longer valid. In the software the cookies are deleted once the Customer exits the software.</p>

<p>1.9 "Server" Servers are remote computers that the developer operates in order to provide  the software a full functionality. In this Agreement the server referes to any computers resolved by clouddeck.net and mycloud.fm domain names or any of their subdomains.</p>

<h2>2. LICENSE.</h2>  
<p>Subject to the terms and conditions of this Agreement, the developer hereby grants Customer a limited, non‑exclusive, non‑transferable, non‑sublicensable license to use the Services and to install and Use the Software supplied to Customer hereunder, as installed on your personal computer, including your laptop, desktop or on computers within Customer's organization.</p> 


<h2>3. LICENSE RESTRICTIONS AND THIRD PARTY SOFTWARE.</h2>

<p>3.1 Customer shall not and shall not allow any third party to: (a) use the Software or Services except as expressly permitted under Section 2; (b) separate the component programs of the Software for use on different computers; (c) adapt, alter, publicly display, publicly perform, translate, embed into any other product or otherwise create derivative works of, or otherwise modify the Software or Services; (d) sublicense, lease, rent, loan, or distribute the Software or Services to any third party; (e) transfer the Software or Services to any third party; (f) reverse engineer, decompile, uncompress, disassemble or otherwise attempt to derive the source code for the Software, (i) except as permitted by applicable law, or (ii) soley to the extent required to debug changes to any third party LGPL or MIT‑libraries linked to by the Software; (g) remove, alter or obscure any proprietary notices on the Software or Services, or the applicable documentation therefore; or (h) allow third parties to access or use the Software or Services, including without limitation any use in any application service provider environment, service bureau, or time‑sharing arrangements.</p>

<p>3.2 Third Party Software is subject to separate terms and conditions included with, or contained in the setup installation segments of such Third Party Software.  The license restrictions contained in this Agreement do not apply to Third Party Software to the extent they are inconsistent with such Third Party Software terms.</p>


<h2>4.USE OF SERVICES</h2>

<p>4.1 The developer provides users with access to a rich collection of audio resources and Services, including without limitation various features of the Streming provider.  </p>

<p>4.2 Disputes may arise between you and others or between you and the developer related to content, including User Generated Content.  Such disputes could involve, among other things, the use or misuse of  the infringement of copyrights, trademarks or other rights in intellectual property; defamation; fraud; the use or misuse of information; and problems with online auction or commerce transactions. You agree that all claims, disputes or wrongdoing that result from, or are related in any way to, the content of information that you post, transmit, re‑transmit or receive through the Services, the developer Software's network or Software are your sole and exclusive responsibility.</p> 

<p>4.3 Some Services, including the use of "MyCloud" requires an user account from the Service provider. The software does not store or transmits user's e-mail address and password. The sowftware does store authentication tokes generated by the Service provider. The tokens does not contain any user credentials.</p>

<p>4.4 We reserve the right at any time and from time to time to modify or discontinue, temporarily or permanently, the Services (or any part thereof) with or without notice. You agree that we shall not be liable to you or to any third party for any modification, suspension or discontinuance of the Services.</p>

<p>4.5 The audio data streamed by the software through the Streaming provider is not stored by the developer or the Software, and the developer exercises no control over User Generated Content passing through its network or equipment or available on or through the Services. You agree that the developer is not liable for any loss of data. You may only post or send via the Services User Generated Content that you created or that you have permission to send and/or post. You agree not to use the software to upload, transfer or otherwise make available files, images, code, materials, or other information or content that is obscene, vulgar, hateful, threatening, or that violates any laws or third‑party rights, hereunder but not limited to third‑party intellectual property rights. We do not claim ownership of any User Generated Content.  However, by submitting User Generated Content to us, you grant us the right and limited license to use, copy, display, perform, distribute and adapt this User Generated Content for the purpose of carrying out the Services.</p>

<p>4.6 You acknowledge and agree, that the developer does not own or store any material transmitted by the Streaming provider. If you have any claims against any material that is provided by the Streaming provider you agree that you forward your claims towards them.</p>


<h2>5. PROPRIETARY RIGHTS.</h2>  
<p>Customer acknowledges and agrees that the Services and the Software, including without limitation the Software's sequence, structure, organization, source code and applicable documentation contains valuable trade secrets and other intellectual property of the developer and its suppliers and is considered the developer's confidential information.  The Software and Services are licensed and not sold to Customer, and no title or ownership to such Software or Services or the intellectual property rights embodied therein passes as a result of this Agreement or any act pursuant to this Agreement.  The Software and Services and all intellectual property rights therein are the exclusive property of the developer and its suppliers, and all rights in and to the Software and Services not expressly granted to Customer in this Agreement are reserved.  the developer owns all copies of the Software, however made.  Nothing in this Agreement will be deemed to grant, by implication, estoppel or otherwise, a license under any existing or future patents of the developer, except to the extent necessary for Customer to Use the Software or Services as expressly permitted under this Agreement.</p>


<h2>6. PRIVACY.  </h2>

<p>The developer takes the matters of protection and security of its users information very seriously and will treat any and all such information private and will not reveal them to any third party.
<br><br>
The customer acknowledge, that the developers collects and stores the following information:
</p>  

<p>6.1 IP addresses<br>
An IP address is a number that is automatically assigned to your computer whenever you begin service with an Internet Service Provider. We collect IP addresses for the purposes of audit the use of the software. Each time you make a request from the Spotlight tab, our server logs your IP address. The server does not store any information beside the IP address that can enable the developer to identify you</p>  

<p>6.2 Third party cookies<br>
If you log in to third party web services such as Facebook, Twitter, SoundCloud within the software, a cookie is stored with the properites described in section 1.8.</p>  

<p>6.3 Machine ID-s. <br>
The Customer acknowledges that the software generates a random string that is unique to the software installation. The Machine ID-s does not contain any information about the Customer, the computer or any environmental variable. It is not reverse engineerable.<br>
The purpose of a Machine ID is that the server can identify the Customer's software installation and determine what information should be sent to be synchronized. If the Customer does not authorize the server to synchronize playlist information in the software, then the Machine ID is never sent to the server. <br>
The Machine ID-s are stored on the server, until the Customer revokes access to his/hers mycloud.fm account. The revocation can be initiated from the software.</p>  

<p>6.4 Security tokens <br>
The server and third party services provides special keys that prevents the Customer's credentials to be revealed. These tokens are generated after the Customer authorizes the software on the server or on any third party service providers interface. <br>
The developer handles these keys in a secure manner and stores them in an encrypted storage. The tokens are stored in the encrypted storage until the Customer revokes them in the software. </p>  


<h2>7. TERM AND TERMINATION.  </h2>
<p>The term of this Agreement will commence upon your download of the Software and/or your commencement of the Services and, unless earlier terminated as provided in this Section 6, will continue in perpetuity.  This Agreement will immediately terminate upon your breach of this Agreement, unless such breach is curable and is actually and immediately cured by you after the developer provides notice of breach to you.  Upon the termination of this Agreement, you will discontinue all use of the Software and/or Services, promptly destroy or have destroyed the Software and any copies thereof, and, upon request by the developer, certify in writing to the developer that such destruction has taken place.  These remedies are cumulative and in addition to any other remedies available to the developer.  Sections 1, 3, 5, 6, 7, 8, 9, 10 and 11 shall survive such termination.</p> 


<h2>8. DISCLAIMER OF WARRANTIES.  </h2>
<p>THE SOFTWARE AND SERVICES ARE PROVIDED "AS IS," AND ALL WARRANTIES AND CONDITIONS, EXPRESS, IMPLIED, AND STATUTORY, INCLUDING WITHOUT LIMITATION THE IMPLIED WARRANTIES OF TITLE, NON‑INFRINGEMENT, MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR USE, ACCURACY OR COMPLETENESS, SATISFACTORY QUALITY, AND QUIET ENJOYMENT, OR OTHER WARRANTIES OR CONDITIONS ARISING BY STATUTE, OPERATION OR LAW, COURSE OF DEALING, USAGE OF TRADE OR OTHERWISE ARE HEREBY DISCLAIMED.  SOME JURISDICTIONS DO NOT ALLOW THE LIMITATION OR EXCLUSION OF IMPLIED WARRANTIES, SO THE ABOVE LIMITATIONS MAY NOT APPLY TO YOU.  THE DEVELOPER DOES NOT WARRANT THAT THE USE OF THE SOFTWARE OR SERVICES WILL BE UNINTERRUPTED OR ERROR‑FREE OR THAT THE SOFTWARE OR SERVICES DO NOT CONTAIN ANY VIRUSES.  THIS WARRANTY DISCLAIMER IS A FUNDAMENTAL ELEMENT OF THE BASIS OF THE BARGAIN BETWEEN YOU AND THE DEVELOPER.  THE DEVELOPER WOULD NOT PROVIDE THE SOFTWARE OR SERVICES ABSENT SUCH DISCLAIMER. NO REPRESENTATIONS OR WARRANTIES ARE MADE BY ANY SUPPLIERS TO THE DEVELOPER UNDER OR BY VIRTUE OF THIS AGREEMENT.</p>  


<h2>9. LIMITATION OF LIABILITY.</h2>  
<p>IN NO EVENT SHALL THE DEVELOPER BE LIABLE FOR ANY INCIDENTAL, SPECIAL, CONSEQUENTIAL, OR INDIRECT DAMAGES OF ANY KIND (INCLUDING WITHOUT LIMITATION DAMAGES FOR INTERRUPTION OF BUSINESS, LOST DATA, LOST PROFITS, OR THE LIKE) REGARDLESS OF THE FORM OF ACTION, WHETHER IN CONTRACT, TORT (INCLUDING WITHOUT LIMITATION NEGLIGENCE), STRICT PRODUCT LIABILITY, OR OTHER THEORY, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES SO THE FOREGOING EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.  THIS LIMITATION OF LIABILITY WILL APPLY NOTWITHSTANDING THE FAILURE OF ESSENTIAL PURPOSE OF ANY LIMITED REMEDY SET FORTH HEREIN.  IN NO EVENT WILL ANY SUPPLIER TO THE DEVELOPER HAVE ANY LIABILITY TO YOU UNDER THIS AGREEMENT.  THIS LIMITATION OF LIABILITY IS A FUNDAMENTAL ELEMENT OF THE BASIS OF THE BARGAIN BETWEEN YOU AND THE DEVELOPER.  THE DEVELOPER WOULD NOT PROVIDE THE SOFTWARE TO YOU ABSENT SUCH LIMITATION. </p>


<h2>10. INJUNCTIVE RELIEF.</h2>  
<p>You acknowledge and agree that the Software and Services contain valuable trade secrets, confidential information and proprietary information of the developer.  You further acknowledge that any actual or threatened breach or violation of Section 2 or Section 3 of this Agreement will constitute immediate, irreparable harm to the developer for which monetary damages would be an inadequate remedy, and that injunctive relief is an appropriate remedy for any such breach or violation. 


<h2>11. GENERAL.</h2>  
<p>You acknowledge and agree that the Software may contain cryptographic functionality the export of which is restricted under applicable export control law. You will comply with all applicable laws and regulations in your activities under this Agreement. You will not export or re‑export the Software in violation of such laws or regulations, or without all required licenses and authorizations. This Agreement will be governed by the laws of Hungary without giving effect to any conflicts of law principles that may require the application of the laws of a different country. The United Nations Convention on Contracts for the International Sale of Goods does not apply to this Agreement. All actions or proceedings arising under or related to this Agreement must be brought in the Budapest Capital Court, and each party hereby agrees to irrevocably submit to the jurisdiction and venue of any such court in all such actions or proceedings. If any provision of this Agreement is determined by a court of competent jurisdiction to be invalid, illegal, or unenforceable, the remaining provisions of this Agreement shall not be affected or impaired thereby. You may not assign or transfer this Agreement without obtaining the developer's prior written consent, and any purported assignment or transfer in violation of this Section 10 will be null and void. the developer may update the terms of this Agreement if and when you install and update or upgrade to the Software and/or Service.</p>  

Copyright ©2011 Tibor Szász, All rights reserved<br>
Budapest<br>
tibor@szasz.hu<br>
